मुझे मेरे अंतर्गत स्थापित pickle पैकेज चाहिए Python 3.9 विंडोज 10 के तहत।

मैंने क्या कोशिश की

pip install pickle के साथ प्रयास करते समय मुझे मिल रहा था:

त्रुटि: आवश्यकता अचार को संतुष्ट करने वाला संस्करण नहीं मिल सका (संस्करणों से: कोई नहीं) त्रुटि: अचार के लिए कोई मिलान वितरण नहीं मिला

फिर मैंने इस प्रश्न pip install pickle5 का उपयोग करते हुए लेकिन निम्न त्रुटि मिली:

त्रुटि: Microsoft Visual C++ 14.0 या इससे अधिक की आवश्यकता है। इसे "Microsoft C++ Build Tools" के साथ प्राप्त करें: https://visualstudio.microsoft.com /विजुअल-सीपीपी-बिल्ड-टूल्स/

मैंने तब त्रुटि द्वारा सुझाए गए टूल को स्थापित करने का प्रयास किया लेकिन फिर से प्रयास करने के बाद वही त्रुटि संदेश मिला pip install pickle5

प्रश्न

pickle इंस्टॉल करने का सही तरीका कौन सा है विंडोज 10 में Python 3.9 के तहत पैकेज?

4
Cedric Zoppolo 29 जुलाई 2021, 23:21

2 जवाब

सबसे बढ़िया उत्तर

सेड्रिक अद्यतन उत्तर सही है। अचार पायथन 3.9 के भीतर मौजूद है। आपको पिप इंस्टाल अचार की जरूरत नहीं है। बस इसका इस्तेमाल करें।

import pickle
1
Minh Nguyen 19 अगस्त 2021, 18:03

मुझे एक तरीका मिला है कि मुझे यकीन नहीं है कि यह इष्टतम है लेकिन यह काम करता है।

मैंने pip install pickle4 किया

और फिर स्क्रिप्ट में बस

import pickle4 as pickle

अपडेट करें

pickle को स्थापित करने की कोई आवश्यकता नहीं है क्योंकि यह पहले से ही Python 3.9 के भीतर है। बस import pickle और वोइला की जरूरत है!

0
Cedric Zoppolo 29 जुलाई 2021, 20:36